import { IWidgetAuthenticator } from "../apis/api.interfaces";
import { IWidgetInstanceInternal } from "../orchestrator/IWidgetInstanceInternal";
import { WidgetApi } from "../orchestrator/WidgetApi";
export declare class WidgetAuthenticator extends WidgetApi implements IWidgetAuthenticator {
    constructor(widgetInstance: IWidgetInstanceInternal);
    getProperty(name: string): Promise<string | undefined>;
    getToken(clientId: string, scope: string, resource: string, apiVersion: string): Promise<string>;
    private getAccountId;
}
